Developers
API referenceReferenceFiles

File - Replace

Replace one file's metadata by ID (full body).

PUT
/v1/business/{business_slug}/files/{file_id}/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

file_id*integer

Identifier of the target file. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/business/string/files/0/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "file": "http://example.com",  "name": "string",  "type": "string",  "preview": {    "image": "http://example.com",    "blurhash": "string",    "blurhash_w": 0,    "blurhash_h": 0  },  "folder_id": 0,  "blurhash": "string",  "blurhash_w": 0,  "blurhash_h": 0,  "is_deletable": true,  "analysis_badges": [    {      "key": "string",      "label": "string",      "value": "string"    }  ],  "analysis_results": [    {      "values": [        {          "type": "ATTACHMENT_TYPE",          "value": "string"        }      ],      "analysis_data": null    }  ],  "analysis_status": "PENDING",  "notes": "string"}